..
      Except where otherwise noted, this document is licensed under Creative
      Commons Attribution 3.0 License.  You can view the license at:

          https://creativecommons.org/licenses/by/3.0/

====================
RESTful Web API (v1)
====================

Goals
=====

.. rest-controller:: watcher.api.controllers.v1.goal:GoalsController
   :webprefix: /v1/goal

.. autotype:: watcher.api.controllers.v1.goal.GoalCollection
   :members:

.. autotype:: watcher.api.controllers.v1.goal.Goal
   :members:

Strategies
==========

.. rest-controller:: watcher.api.controllers.v1.strategy:StrategiesController
   :webprefix: /v1/strategies

.. autotype:: watcher.api.controllers.v1.strategy.StrategyCollection
   :members:

.. autotype:: watcher.api.controllers.v1.strategy.Strategy
   :members:

Audit Templates
===============

.. rest-controller:: watcher.api.controllers.v1.audit_template:AuditTemplatesController
   :webprefix: /v1/audit_templates

.. autotype:: watcher.api.controllers.v1.audit_template.AuditTemplateCollection
   :members:

.. autotype:: watcher.api.controllers.v1.audit_template.AuditTemplate
   :members:

Audits
======

.. rest-controller:: watcher.api.controllers.v1.audit:AuditsController
   :webprefix: /v1/audits

.. autotype:: watcher.api.controllers.v1.audit.AuditCollection
   :members:

.. autotype:: watcher.api.controllers.v1.audit.Audit
   :members:

Links
=====

.. autotype:: watcher.api.controllers.link.Link
   :members:

Action Plans
============

.. rest-controller:: watcher.api.controllers.v1.action_plan:ActionPlansController
   :webprefix: /v1/action_plans

.. autotype:: watcher.api.controllers.v1.action_plan.ActionPlanCollection
   :members:

.. autotype:: watcher.api.controllers.v1.action_plan.ActionPlan
   :members:


Actions
=======

.. rest-controller:: watcher.api.controllers.v1.action:ActionsController
   :webprefix: /v1/actions

.. autotype:: watcher.api.controllers.v1.action.ActionCollection
   :members:

.. autotype:: watcher.api.controllers.v1.action.Action
   :members:
